#include <bits/stdc++.h>


using namespace std;



int main()
{


    long long int n, k, x;
    cin>>n>>k>>x;

    vector<long long int> a(n);

    for(long long int i=0;i<n;i++)
    {
        cin>>a.at(i);
    }

    for(long long int j=0;j<=n-k;j++)
    {
       long long int ossz=0, ad=1;
       for(long long int i=j;i<j+x;i++)
       {
           ossz+=a.at(i)*ad;
           ad++;
       }

       for(long long int i=j+x;i<j+k;i++)
       {
           ossz+=(ad-1)*a.at(i);
       }

       cout<<ossz<<" ";

    }


    return 0;
}